import { Platform } from 'react-native'
import { TransitionPresets } from 'react-navigation-stack';

const TITLE_OFFSET = Platform.OS === 'ios' ? 0 : 56;

const NavigationOptions = {
    headerStyle: {
        backgroundColor: "#fff",
        borderBottomWidth: 1,
        borderBottomColor: '#f5f5f5',
        //fontColor: '#0d0610',
        elevation: 0,
        height: Platform.OS === 'ios' ? 80 : 50,
    },
    headerTintColor: '#333',
    headerTitleStyle: {
        fontWeight: 'normal',   
        fontSize: 18,    
        color: '#333',
        alignSelf:'center',
        textAlign: 'center',
        flex:1,
        marginTop: Platform.OS === 'ios' ? 10 : 0,
    },
    headerTitleContainerStyle:{
        left: TITLE_OFFSET,
        right: TITLE_OFFSET,
    },
    headerBackTitle: Platform.OS === 'ios' ? ' ' : null,         // ~注意~ 这个地方是隐藏返回按钮文字的 
    gestureEnabled: true,
    cardOverlayEnabled: true,
    gestureDirection: 'horizontal',
    ...TransitionPresets.SlideFromRightIOS,    
}

export default NavigationOptions
